// Generated by CoffeeScript 1.3.3
(function() {
  var Element, NS_AS, NS_AT, NS_ATOM, NS_THR, logger;

  logger = require('./logger').makeLogger('tombstone');

  Element = require('node-xmpp').Element;

  NS_AS = "http://activitystrea.ms/spec/1.0/";

  NS_AT = "http://purl.org/atompub/tombstones/1.0";

  NS_ATOM = "http://www.w3.org/2005/Atom";

  NS_THR = "http://purl.org/syndication/thread/1.0";

  exports.makeTombstone = function(item) {
    var child, children, name, now, ref, tsEl, _i, _j, _k, _len, _len1, _len2, _ref, _ref1, _ref2, _ref3, _ref4;
    ref = item.getChild('link', NS_ATOM).attrs.href;
    now = new Date().toISOString();
    tsEl = new Element('deleted-entry', {
      xmlns: NS_AT,
      ref: ref,
      when: now
    }).c("updated").t(now).up();
    children = [];
    _ref = ['id', 'link', 'published'];
    for (_i = 0, _len = _ref.length; _i < _len; _i++) {
      name = _ref[_i];
      children.push((_ref1 = item.getChild(name, NS_ATOM)) != null ? _ref1.attr('xmlns', NS_ATOM) : void 0);
    }
    children.push((_ref2 = item.getChild('in-reply-to', NS_THR)) != null ? _ref2.attr('xmlns', NS_THR) : void 0);
    _ref3 = ['object', 'verb'];
    for (_j = 0, _len1 = _ref3.length; _j < _len1; _j++) {
      name = _ref3[_j];
      children.push((_ref4 = item.getChild(name, NS_AS)) != null ? _ref4.attr('xmlns', NS_AS) : void 0);
    }
    for (_k = 0, _len2 = children.length; _k < _len2; _k++) {
      child = children[_k];
      if (child != null) {
        tsEl = tsEl.cnode(child).up();
      }
    }
    return tsEl;
  };

}).call(this);
